Austin Group Defect Tracker

Aardvark Mark III


Viewing Issue Simple Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Type Date Submitted Last Update
0001060 [Online Pubs] Shell and Utilities Editorial Error 2016-06-23 16:29 2017-08-10 16:11
Reporter ajosey View Status public  
Assigned To
Priority normal Resolution Accepted  
Status Applied  
Name Andrew Josey
Organization
User Reference
URL http://pubs.opengroup.org/onlinepubs/9699919799/utilities/awk.html [^]
Section Lexical Conventions, list item 5
Summary 0001060: awk: lexical conventions, item 5: Bad troff conversion to html '"''. displayed as ' .'
Description The last part of
The token STRING shall represent a string constant. A string constant shall begin with the character ’"’.

on line 79502 is not converted correctly to html and shown as:
The token STRING shall represent a string constant. A string constant shall begin with the character ' .'
Desired Action Fix the html.

Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0003364)
ajosey (manager)
2016-08-26 14:33

This bugfix will be applied in the 2016 edition
There is also a similar problem in OPERANDs, assignment:

The characters following the <equals- sign> shall be interpreted as if they appeared in the awk program preceded and followed by a double-quote ('"')

- Issue History
Date Modified Username Field Change
2016-06-23 16:29 ajosey New Issue
2016-06-23 16:29 ajosey Name => Andrew Josey
2016-06-23 16:29 ajosey URL => http://pubs.opengroup.org/onlinepubs/9699919799/utilities/awk.html [^]
2016-06-23 16:29 ajosey Section => Lexical Conventions, list item 5
2016-06-23 16:29 ajosey Summary Bad troff conversion to html '"''. displayed as ' .' => awk: lexical conventions, item 5: Bad troff conversion to html '"''. displayed as ' .'
2016-08-26 14:33 ajosey Note Added: 0003364
2017-08-10 16:11 Don Cragun Status New => Applied
2017-08-10 16:11 Don Cragun Resolution Open => Accepted
2017-08-10 16:11 Don Cragun Tag Attached: tc2-2008
2017-08-11 08:10 geoffclare Tag Detached: tc2-2008


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker